Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network236.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
236.0.0.0
Broadcast address
236.63.255.255
First usable
236.0.0.1
Last usable
236.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EC000000 · Integer 3959422976 to 3963617279
Reverse DNS zones
0.236.in-addr.arpa
1.236.in-addr.arpa
2.236.in-addr.arpa
3.236.in-addr.arpa
4.236.in-addr.arpa
5.236.in-addr.arpa
6.236.in-addr.arpa
7.236.in-addr.arpa
8.236.in-addr.arpa
9.236.in-addr.arpa
10.236.in-addr.arpa
11.236.in-addr.arpa
12.236.in-addr.arpa
13.236.in-addr.arpa
14.236.in-addr.arpa
15.236.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101100.00000000.00000000.00000000236.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network11101100.00000000.00000000.00000000236.0.0.0
Broadcast11101100.00111111.11111111.11111111236.63.255.255
Split into smaller subnets/21

236.0.0.0/10 makes 2,048 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1236.0.0.0/21236.0.0.1 to 236.0.7.254236.0.7.2552,046
2236.0.8.0/21236.0.8.1 to 236.0.15.254236.0.15.2552,046
3236.0.16.0/21236.0.16.1 to 236.0.23.254236.0.23.2552,046
4236.0.24.0/21236.0.24.1 to 236.0.31.254236.0.31.2552,046
5236.0.32.0/21236.0.32.1 to 236.0.39.254236.0.39.2552,046
6236.0.40.0/21236.0.40.1 to 236.0.47.254236.0.47.2552,046
7236.0.48.0/21236.0.48.1 to 236.0.55.254236.0.55.2552,046
8236.0.56.0/21236.0.56.1 to 236.0.63.254236.0.63.2552,046
9236.0.64.0/21236.0.64.1 to 236.0.71.254236.0.71.2552,046
10236.0.72.0/21236.0.72.1 to 236.0.79.254236.0.79.2552,046
11236.0.80.0/21236.0.80.1 to 236.0.87.254236.0.87.2552,046
12236.0.88.0/21236.0.88.1 to 236.0.95.254236.0.95.2552,046
13236.0.96.0/21236.0.96.1 to 236.0.103.254236.0.103.2552,046
14236.0.104.0/21236.0.104.1 to 236.0.111.254236.0.111.2552,046
15236.0.112.0/21236.0.112.1 to 236.0.119.254236.0.119.2552,046
16236.0.120.0/21236.0.120.1 to 236.0.127.254236.0.127.2552,046
17236.0.128.0/21236.0.128.1 to 236.0.135.254236.0.135.2552,046
18236.0.136.0/21236.0.136.1 to 236.0.143.254236.0.143.2552,046
19236.0.144.0/21236.0.144.1 to 236.0.151.254236.0.151.2552,046
20236.0.152.0/21236.0.152.1 to 236.0.159.254236.0.159.2552,046
21236.0.160.0/21236.0.160.1 to 236.0.167.254236.0.167.2552,046
22236.0.168.0/21236.0.168.1 to 236.0.175.254236.0.175.2552,046
23236.0.176.0/21236.0.176.1 to 236.0.183.254236.0.183.2552,046
24236.0.184.0/21236.0.184.1 to 236.0.191.254236.0.191.2552,046
25236.0.192.0/21236.0.192.1 to 236.0.199.254236.0.199.2552,046
26236.0.200.0/21236.0.200.1 to 236.0.207.254236.0.207.2552,046
27236.0.208.0/21236.0.208.1 to 236.0.215.254236.0.215.2552,046
28236.0.216.0/21236.0.216.1 to 236.0.223.254236.0.223.2552,046
29236.0.224.0/21236.0.224.1 to 236.0.231.254236.0.231.2552,046
30236.0.232.0/21236.0.232.1 to 236.0.239.254236.0.239.2552,046
31236.0.240.0/21236.0.240.1 to 236.0.247.254236.0.247.2552,046
32236.0.248.0/21236.0.248.1 to 236.0.255.254236.0.255.2552,046
33236.1.0.0/21236.1.0.1 to 236.1.7.254236.1.7.2552,046
34236.1.8.0/21236.1.8.1 to 236.1.15.254236.1.15.2552,046
35236.1.16.0/21236.1.16.1 to 236.1.23.254236.1.23.2552,046
36236.1.24.0/21236.1.24.1 to 236.1.31.254236.1.31.2552,046
37236.1.32.0/21236.1.32.1 to 236.1.39.254236.1.39.2552,046
38236.1.40.0/21236.1.40.1 to 236.1.47.254236.1.47.2552,046
39236.1.48.0/21236.1.48.1 to 236.1.55.254236.1.55.2552,046
40236.1.56.0/21236.1.56.1 to 236.1.63.254236.1.63.2552,046
41236.1.64.0/21236.1.64.1 to 236.1.71.254236.1.71.2552,046
42236.1.72.0/21236.1.72.1 to 236.1.79.254236.1.79.2552,046
43236.1.80.0/21236.1.80.1 to 236.1.87.254236.1.87.2552,046
44236.1.88.0/21236.1.88.1 to 236.1.95.254236.1.95.2552,046
45236.1.96.0/21236.1.96.1 to 236.1.103.254236.1.103.2552,046
46236.1.104.0/21236.1.104.1 to 236.1.111.254236.1.111.2552,046
47236.1.112.0/21236.1.112.1 to 236.1.119.254236.1.119.2552,046
48236.1.120.0/21236.1.120.1 to 236.1.127.254236.1.127.2552,046
49236.1.128.0/21236.1.128.1 to 236.1.135.254236.1.135.2552,046
50236.1.136.0/21236.1.136.1 to 236.1.143.254236.1.143.2552,046
51236.1.144.0/21236.1.144.1 to 236.1.151.254236.1.151.2552,046
52236.1.152.0/21236.1.152.1 to 236.1.159.254236.1.159.2552,046
53236.1.160.0/21236.1.160.1 to 236.1.167.254236.1.167.2552,046
54236.1.168.0/21236.1.168.1 to 236.1.175.254236.1.175.2552,046
55236.1.176.0/21236.1.176.1 to 236.1.183.254236.1.183.2552,046
56236.1.184.0/21236.1.184.1 to 236.1.191.254236.1.191.2552,046
57236.1.192.0/21236.1.192.1 to 236.1.199.254236.1.199.2552,046
58236.1.200.0/21236.1.200.1 to 236.1.207.254236.1.207.2552,046
59236.1.208.0/21236.1.208.1 to 236.1.215.254236.1.215.2552,046
60236.1.216.0/21236.1.216.1 to 236.1.223.254236.1.223.2552,046
61236.1.224.0/21236.1.224.1 to 236.1.231.254236.1.231.2552,046
62236.1.232.0/21236.1.232.1 to 236.1.239.254236.1.239.2552,046
63236.1.240.0/21236.1.240.1 to 236.1.247.254236.1.247.2552,046
64236.1.248.0/21236.1.248.1 to 236.1.255.254236.1.255.2552,046
65236.2.0.0/21236.2.0.1 to 236.2.7.254236.2.7.2552,046
66236.2.8.0/21236.2.8.1 to 236.2.15.254236.2.15.2552,046
67236.2.16.0/21236.2.16.1 to 236.2.23.254236.2.23.2552,046
68236.2.24.0/21236.2.24.1 to 236.2.31.254236.2.31.2552,046
69236.2.32.0/21236.2.32.1 to 236.2.39.254236.2.39.2552,046
70236.2.40.0/21236.2.40.1 to 236.2.47.254236.2.47.2552,046
71236.2.48.0/21236.2.48.1 to 236.2.55.254236.2.55.2552,046
72236.2.56.0/21236.2.56.1 to 236.2.63.254236.2.63.2552,046
73236.2.64.0/21236.2.64.1 to 236.2.71.254236.2.71.2552,046
74236.2.72.0/21236.2.72.1 to 236.2.79.254236.2.79.2552,046
75236.2.80.0/21236.2.80.1 to 236.2.87.254236.2.87.2552,046
76236.2.88.0/21236.2.88.1 to 236.2.95.254236.2.95.2552,046
77236.2.96.0/21236.2.96.1 to 236.2.103.254236.2.103.2552,046
78236.2.104.0/21236.2.104.1 to 236.2.111.254236.2.111.2552,046
79236.2.112.0/21236.2.112.1 to 236.2.119.254236.2.119.2552,046
80236.2.120.0/21236.2.120.1 to 236.2.127.254236.2.127.2552,046
81236.2.128.0/21236.2.128.1 to 236.2.135.254236.2.135.2552,046
82236.2.136.0/21236.2.136.1 to 236.2.143.254236.2.143.2552,046
83236.2.144.0/21236.2.144.1 to 236.2.151.254236.2.151.2552,046
84236.2.152.0/21236.2.152.1 to 236.2.159.254236.2.159.2552,046
85236.2.160.0/21236.2.160.1 to 236.2.167.254236.2.167.2552,046
86236.2.168.0/21236.2.168.1 to 236.2.175.254236.2.175.2552,046
87236.2.176.0/21236.2.176.1 to 236.2.183.254236.2.183.2552,046
88236.2.184.0/21236.2.184.1 to 236.2.191.254236.2.191.2552,046
89236.2.192.0/21236.2.192.1 to 236.2.199.254236.2.199.2552,046
90236.2.200.0/21236.2.200.1 to 236.2.207.254236.2.207.2552,046
91236.2.208.0/21236.2.208.1 to 236.2.215.254236.2.215.2552,046
92236.2.216.0/21236.2.216.1 to 236.2.223.254236.2.223.2552,046
93236.2.224.0/21236.2.224.1 to 236.2.231.254236.2.231.2552,046
94236.2.232.0/21236.2.232.1 to 236.2.239.254236.2.239.2552,046
95236.2.240.0/21236.2.240.1 to 236.2.247.254236.2.247.2552,046
96236.2.248.0/21236.2.248.1 to 236.2.255.254236.2.255.2552,046
97236.3.0.0/21236.3.0.1 to 236.3.7.254236.3.7.2552,046
98236.3.8.0/21236.3.8.1 to 236.3.15.254236.3.15.2552,046
99236.3.16.0/21236.3.16.1 to 236.3.23.254236.3.23.2552,046
100236.3.24.0/21236.3.24.1 to 236.3.31.254236.3.31.2552,046
101236.3.32.0/21236.3.32.1 to 236.3.39.254236.3.39.2552,046
102236.3.40.0/21236.3.40.1 to 236.3.47.254236.3.47.2552,046
103236.3.48.0/21236.3.48.1 to 236.3.55.254236.3.55.2552,046
104236.3.56.0/21236.3.56.1 to 236.3.63.254236.3.63.2552,046
105236.3.64.0/21236.3.64.1 to 236.3.71.254236.3.71.2552,046
106236.3.72.0/21236.3.72.1 to 236.3.79.254236.3.79.2552,046
107236.3.80.0/21236.3.80.1 to 236.3.87.254236.3.87.2552,046
108236.3.88.0/21236.3.88.1 to 236.3.95.254236.3.95.2552,046
109236.3.96.0/21236.3.96.1 to 236.3.103.254236.3.103.2552,046
110236.3.104.0/21236.3.104.1 to 236.3.111.254236.3.111.2552,046
111236.3.112.0/21236.3.112.1 to 236.3.119.254236.3.119.2552,046
112236.3.120.0/21236.3.120.1 to 236.3.127.254236.3.127.2552,046
113236.3.128.0/21236.3.128.1 to 236.3.135.254236.3.135.2552,046
114236.3.136.0/21236.3.136.1 to 236.3.143.254236.3.143.2552,046
115236.3.144.0/21236.3.144.1 to 236.3.151.254236.3.151.2552,046
116236.3.152.0/21236.3.152.1 to 236.3.159.254236.3.159.2552,046
117236.3.160.0/21236.3.160.1 to 236.3.167.254236.3.167.2552,046
118236.3.168.0/21236.3.168.1 to 236.3.175.254236.3.175.2552,046
119236.3.176.0/21236.3.176.1 to 236.3.183.254236.3.183.2552,046
120236.3.184.0/21236.3.184.1 to 236.3.191.254236.3.191.2552,046
121236.3.192.0/21236.3.192.1 to 236.3.199.254236.3.199.2552,046
122236.3.200.0/21236.3.200.1 to 236.3.207.254236.3.207.2552,046
123236.3.208.0/21236.3.208.1 to 236.3.215.254236.3.215.2552,046
124236.3.216.0/21236.3.216.1 to 236.3.223.254236.3.223.2552,046
125236.3.224.0/21236.3.224.1 to 236.3.231.254236.3.231.2552,046
126236.3.232.0/21236.3.232.1 to 236.3.239.254236.3.239.2552,046
127236.3.240.0/21236.3.240.1 to 236.3.247.254236.3.247.2552,046
128236.3.248.0/21236.3.248.1 to 236.3.255.254236.3.255.2552,046
129236.4.0.0/21236.4.0.1 to 236.4.7.254236.4.7.2552,046
130236.4.8.0/21236.4.8.1 to 236.4.15.254236.4.15.2552,046
131236.4.16.0/21236.4.16.1 to 236.4.23.254236.4.23.2552,046
132236.4.24.0/21236.4.24.1 to 236.4.31.254236.4.31.2552,046
133236.4.32.0/21236.4.32.1 to 236.4.39.254236.4.39.2552,046
134236.4.40.0/21236.4.40.1 to 236.4.47.254236.4.47.2552,046
135236.4.48.0/21236.4.48.1 to 236.4.55.254236.4.55.2552,046
136236.4.56.0/21236.4.56.1 to 236.4.63.254236.4.63.2552,046
137236.4.64.0/21236.4.64.1 to 236.4.71.254236.4.71.2552,046
138236.4.72.0/21236.4.72.1 to 236.4.79.254236.4.79.2552,046
139236.4.80.0/21236.4.80.1 to 236.4.87.254236.4.87.2552,046
140236.4.88.0/21236.4.88.1 to 236.4.95.254236.4.95.2552,046
141236.4.96.0/21236.4.96.1 to 236.4.103.254236.4.103.2552,046
142236.4.104.0/21236.4.104.1 to 236.4.111.254236.4.111.2552,046
143236.4.112.0/21236.4.112.1 to 236.4.119.254236.4.119.2552,046
144236.4.120.0/21236.4.120.1 to 236.4.127.254236.4.127.2552,046
145236.4.128.0/21236.4.128.1 to 236.4.135.254236.4.135.2552,046
146236.4.136.0/21236.4.136.1 to 236.4.143.254236.4.143.2552,046
147236.4.144.0/21236.4.144.1 to 236.4.151.254236.4.151.2552,046
148236.4.152.0/21236.4.152.1 to 236.4.159.254236.4.159.2552,046
149236.4.160.0/21236.4.160.1 to 236.4.167.254236.4.167.2552,046
150236.4.168.0/21236.4.168.1 to 236.4.175.254236.4.175.2552,046
151236.4.176.0/21236.4.176.1 to 236.4.183.254236.4.183.2552,046
152236.4.184.0/21236.4.184.1 to 236.4.191.254236.4.191.2552,046
153236.4.192.0/21236.4.192.1 to 236.4.199.254236.4.199.2552,046
154236.4.200.0/21236.4.200.1 to 236.4.207.254236.4.207.2552,046
155236.4.208.0/21236.4.208.1 to 236.4.215.254236.4.215.2552,046
156236.4.216.0/21236.4.216.1 to 236.4.223.254236.4.223.2552,046
157236.4.224.0/21236.4.224.1 to 236.4.231.254236.4.231.2552,046
158236.4.232.0/21236.4.232.1 to 236.4.239.254236.4.239.2552,046
159236.4.240.0/21236.4.240.1 to 236.4.247.254236.4.247.2552,046
160236.4.248.0/21236.4.248.1 to 236.4.255.254236.4.255.2552,046
161236.5.0.0/21236.5.0.1 to 236.5.7.254236.5.7.2552,046
162236.5.8.0/21236.5.8.1 to 236.5.15.254236.5.15.2552,046
163236.5.16.0/21236.5.16.1 to 236.5.23.254236.5.23.2552,046
164236.5.24.0/21236.5.24.1 to 236.5.31.254236.5.31.2552,046
165236.5.32.0/21236.5.32.1 to 236.5.39.254236.5.39.2552,046
166236.5.40.0/21236.5.40.1 to 236.5.47.254236.5.47.2552,046
167236.5.48.0/21236.5.48.1 to 236.5.55.254236.5.55.2552,046
168236.5.56.0/21236.5.56.1 to 236.5.63.254236.5.63.2552,046
169236.5.64.0/21236.5.64.1 to 236.5.71.254236.5.71.2552,046
170236.5.72.0/21236.5.72.1 to 236.5.79.254236.5.79.2552,046
171236.5.80.0/21236.5.80.1 to 236.5.87.254236.5.87.2552,046
172236.5.88.0/21236.5.88.1 to 236.5.95.254236.5.95.2552,046
173236.5.96.0/21236.5.96.1 to 236.5.103.254236.5.103.2552,046
174236.5.104.0/21236.5.104.1 to 236.5.111.254236.5.111.2552,046
175236.5.112.0/21236.5.112.1 to 236.5.119.254236.5.119.2552,046
176236.5.120.0/21236.5.120.1 to 236.5.127.254236.5.127.2552,046
177236.5.128.0/21236.5.128.1 to 236.5.135.254236.5.135.2552,046
178236.5.136.0/21236.5.136.1 to 236.5.143.254236.5.143.2552,046
179236.5.144.0/21236.5.144.1 to 236.5.151.254236.5.151.2552,046
180236.5.152.0/21236.5.152.1 to 236.5.159.254236.5.159.2552,046
181236.5.160.0/21236.5.160.1 to 236.5.167.254236.5.167.2552,046
182236.5.168.0/21236.5.168.1 to 236.5.175.254236.5.175.2552,046
183236.5.176.0/21236.5.176.1 to 236.5.183.254236.5.183.2552,046
184236.5.184.0/21236.5.184.1 to 236.5.191.254236.5.191.2552,046
185236.5.192.0/21236.5.192.1 to 236.5.199.254236.5.199.2552,046
186236.5.200.0/21236.5.200.1 to 236.5.207.254236.5.207.2552,046
187236.5.208.0/21236.5.208.1 to 236.5.215.254236.5.215.2552,046
188236.5.216.0/21236.5.216.1 to 236.5.223.254236.5.223.2552,046
189236.5.224.0/21236.5.224.1 to 236.5.231.254236.5.231.2552,046
190236.5.232.0/21236.5.232.1 to 236.5.239.254236.5.239.2552,046
191236.5.240.0/21236.5.240.1 to 236.5.247.254236.5.247.2552,046
192236.5.248.0/21236.5.248.1 to 236.5.255.254236.5.255.2552,046
193236.6.0.0/21236.6.0.1 to 236.6.7.254236.6.7.2552,046
194236.6.8.0/21236.6.8.1 to 236.6.15.254236.6.15.2552,046
195236.6.16.0/21236.6.16.1 to 236.6.23.254236.6.23.2552,046
196236.6.24.0/21236.6.24.1 to 236.6.31.254236.6.31.2552,046
197236.6.32.0/21236.6.32.1 to 236.6.39.254236.6.39.2552,046
198236.6.40.0/21236.6.40.1 to 236.6.47.254236.6.47.2552,046
199236.6.48.0/21236.6.48.1 to 236.6.55.254236.6.55.2552,046
200236.6.56.0/21236.6.56.1 to 236.6.63.254236.6.63.2552,046
201236.6.64.0/21236.6.64.1 to 236.6.71.254236.6.71.2552,046
202236.6.72.0/21236.6.72.1 to 236.6.79.254236.6.79.2552,046
203236.6.80.0/21236.6.80.1 to 236.6.87.254236.6.87.2552,046
204236.6.88.0/21236.6.88.1 to 236.6.95.254236.6.95.2552,046
205236.6.96.0/21236.6.96.1 to 236.6.103.254236.6.103.2552,046
206236.6.104.0/21236.6.104.1 to 236.6.111.254236.6.111.2552,046
207236.6.112.0/21236.6.112.1 to 236.6.119.254236.6.119.2552,046
208236.6.120.0/21236.6.120.1 to 236.6.127.254236.6.127.2552,046
209236.6.128.0/21236.6.128.1 to 236.6.135.254236.6.135.2552,046
210236.6.136.0/21236.6.136.1 to 236.6.143.254236.6.143.2552,046
211236.6.144.0/21236.6.144.1 to 236.6.151.254236.6.151.2552,046
212236.6.152.0/21236.6.152.1 to 236.6.159.254236.6.159.2552,046
213236.6.160.0/21236.6.160.1 to 236.6.167.254236.6.167.2552,046
214236.6.168.0/21236.6.168.1 to 236.6.175.254236.6.175.2552,046
215236.6.176.0/21236.6.176.1 to 236.6.183.254236.6.183.2552,046
216236.6.184.0/21236.6.184.1 to 236.6.191.254236.6.191.2552,046
217236.6.192.0/21236.6.192.1 to 236.6.199.254236.6.199.2552,046
218236.6.200.0/21236.6.200.1 to 236.6.207.254236.6.207.2552,046
219236.6.208.0/21236.6.208.1 to 236.6.215.254236.6.215.2552,046
220236.6.216.0/21236.6.216.1 to 236.6.223.254236.6.223.2552,046
221236.6.224.0/21236.6.224.1 to 236.6.231.254236.6.231.2552,046
222236.6.232.0/21236.6.232.1 to 236.6.239.254236.6.239.2552,046
223236.6.240.0/21236.6.240.1 to 236.6.247.254236.6.247.2552,046
224236.6.248.0/21236.6.248.1 to 236.6.255.254236.6.255.2552,046
225236.7.0.0/21236.7.0.1 to 236.7.7.254236.7.7.2552,046
226236.7.8.0/21236.7.8.1 to 236.7.15.254236.7.15.2552,046
227236.7.16.0/21236.7.16.1 to 236.7.23.254236.7.23.2552,046
228236.7.24.0/21236.7.24.1 to 236.7.31.254236.7.31.2552,046
229236.7.32.0/21236.7.32.1 to 236.7.39.254236.7.39.2552,046
230236.7.40.0/21236.7.40.1 to 236.7.47.254236.7.47.2552,046
231236.7.48.0/21236.7.48.1 to 236.7.55.254236.7.55.2552,046
232236.7.56.0/21236.7.56.1 to 236.7.63.254236.7.63.2552,046
233236.7.64.0/21236.7.64.1 to 236.7.71.254236.7.71.2552,046
234236.7.72.0/21236.7.72.1 to 236.7.79.254236.7.79.2552,046
235236.7.80.0/21236.7.80.1 to 236.7.87.254236.7.87.2552,046
236236.7.88.0/21236.7.88.1 to 236.7.95.254236.7.95.2552,046
237236.7.96.0/21236.7.96.1 to 236.7.103.254236.7.103.2552,046
238236.7.104.0/21236.7.104.1 to 236.7.111.254236.7.111.2552,046
239236.7.112.0/21236.7.112.1 to 236.7.119.254236.7.119.2552,046
240236.7.120.0/21236.7.120.1 to 236.7.127.254236.7.127.2552,046
241236.7.128.0/21236.7.128.1 to 236.7.135.254236.7.135.2552,046
242236.7.136.0/21236.7.136.1 to 236.7.143.254236.7.143.2552,046
243236.7.144.0/21236.7.144.1 to 236.7.151.254236.7.151.2552,046
244236.7.152.0/21236.7.152.1 to 236.7.159.254236.7.159.2552,046
245236.7.160.0/21236.7.160.1 to 236.7.167.254236.7.167.2552,046
246236.7.168.0/21236.7.168.1 to 236.7.175.254236.7.175.2552,046
247236.7.176.0/21236.7.176.1 to 236.7.183.254236.7.183.2552,046
248236.7.184.0/21236.7.184.1 to 236.7.191.254236.7.191.2552,046
249236.7.192.0/21236.7.192.1 to 236.7.199.254236.7.199.2552,046
250236.7.200.0/21236.7.200.1 to 236.7.207.254236.7.207.2552,046
251236.7.208.0/21236.7.208.1 to 236.7.215.254236.7.215.2552,046
252236.7.216.0/21236.7.216.1 to 236.7.223.254236.7.223.2552,046
253236.7.224.0/21236.7.224.1 to 236.7.231.254236.7.231.2552,046
254236.7.232.0/21236.7.232.1 to 236.7.239.254236.7.239.2552,046
255236.7.240.0/21236.7.240.1 to 236.7.247.254236.7.247.2552,046
256236.7.248.0/21236.7.248.1 to 236.7.255.254236.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses